import { Operator } from './operator';
import { Scope } from './scope';
export declare type FilterPredicate<T> = (item: T, index: number, allItems: T[]) => boolean;
export declare type MockFactory<T> = (index: number) => T;
export declare type PartialMockFactory<T> = (index: number) => Partial<T>;
export declare class MocklifyInstance<T> {
    private data;
    constructor();
    add(targetLength: number, items: T[], predicate?: FilterPredicate<T>): MocklifyInstance<T>;
    addAll(items: T[], predicate?: FilterPredicate<T>): MocklifyInstance<T>;
    addOne(item: T): MocklifyInstance<T>;
    generate(count: number, factory: MockFactory<T>): MocklifyInstance<T>;
    generatePartial(count: number, factory: PartialMockFactory<T>): MocklifyInstance<T>;
    filter(predicate: FilterPredicate<T>): MocklifyInstance<T>;
    transform(...operators: Array<Scope<T> | Operator<T>>): MocklifyInstance<T>;
    get(count: number): T[];
    getSlice(start: number, end?: number): T[];
    getAll(): T[];
    getFirst(): T | undefined;
    getLast(): T | undefined;
    getOne(predicate: FilterPredicate<T>): T | undefined;
    getWhere(predicate: FilterPredicate<T>): T[];
    getRandom(count: number): T[];
    getRandomOne(): T | undefined;
    getShuffled(): T[];
    private getRandomIntBetween;
}
export declare function mocklify<T>(): MocklifyInstance<T>;
//# sourceMappingURL=main.d.ts.map