"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.omit = void 0;
var immer_1 = require("immer");
var operator_1 = require("../operator");
var OmitOperator = /** @class */ (function (_super) {
    __extends(OmitOperator, _super);
    function OmitOperator(propsToOmit) {
        var _this = _super.call(this, 'omit') || this;
        _this.propsToOmit = propsToOmit;
        return _this;
    }
    OmitOperator.prototype.action = function (items, limiter) {
        var _this = this;
        return items.map(function (item, index) {
            if (!limiter(item, index)) {
                return item;
            }
            return (0, immer_1.produce)(item, function (draft) { _this.deletePropsFromObject(draft, _this.propsToOmit); });
        });
    };
    OmitOperator.prototype.deletePropsFromObject = function (item, propsToDelete) {
        propsToDelete.forEach(function (propToOmit) {
            delete item[propToOmit];
        });
    };
    return OmitOperator;
}(operator_1.Operator));
function omit(propsToOmit) {
    return new OmitOperator(propsToOmit);
}
exports.omit = omit;
