"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.override = void 0;
var immer_1 = require("immer");
var operator_1 = require("../operator");
var OverrideOperator = /** @class */ (function (_super) {
    __extends(OverrideOperator, _super);
    function OverrideOperator(propsToOverride) {
        var _this = _super.call(this, 'override') || this;
        _this.propsToOverride = propsToOverride;
        return _this;
    }
    OverrideOperator.prototype.action = function (items, limiter) {
        var _this = this;
        return items.map(function (item, index) {
            if (!limiter(item, index)) {
                return item;
            }
            return (0, immer_1.produce)(item, function (draft) { Object.assign(draft, _this.propsToOverride); });
        });
    };
    return OverrideOperator;
}(operator_1.Operator));
function override(propsToOverride) {
    return new OverrideOperator(propsToOverride);
}
exports.override = override;
