"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var main_1 = require("../main");
var test_data_1 = require("./test-data/test-data");
describe('filter()', function () {
    it('filters items to those that match predicate', function () {
        var whereNameIsPotter = function (user) { return user.lastName === 'Potter'; };
        var results = (0, main_1.mocklify)()
            .addAll(test_data_1.MOCK_USERS)
            .filter(whereNameIsPotter)
            .getAll();
        expect(results.length).toBe(6);
    });
    it('supports filtering at the point of adding data, as well as after', function () {
        var whereLastNameIsPotter = function (user) { return user.lastName === 'Potter'; };
        var whereFirstNameIsHarry = function (user) { return user.firstName === 'Harry'; };
        var results = (0, main_1.mocklify)()
            .addAll(test_data_1.MOCK_USERS, whereLastNameIsPotter)
            .filter(whereFirstNameIsHarry)
            .getAll();
        expect(results.length).toBe(1);
    });
});
